//sln_piping.dcl revision 2.0.4
//
//revision 1.0.1 - revised dimension format, allowing changes for each selection.
//revision 2.0.4 imperial/metric scale added
//revision 2.0.3 pipe added
//revision 2.0.4 imperial/metric scale added
//originally only one format. ALL label replaced by 'keys'//
//dcl_settings : default_dcl_settings { audit_level = 3; }	
sln_piping : dialog {							//dialog name
		label = "Piping Flanges and Fitting, from Trouvay & Cauvin Piping Handbook - sln_piping.dcl R2.0.4" ;

	  : row   {
	  : boxed_column {
			label="PREVIEW";
			:image {
			alignment = centered;
			height= 18;
		        fixed_height = true;
			width = 55;
		        fixed_width = true;
			color=1;
			key="imagekey";
			}
			}
		    spacer;
	 : boxed_column {
			label = "Dimensions";
			width = 26;
//			height = 20;
            		:row {
			:text {	key = "labeln1";alignment=left;}
			:text { key = "n1";alignment=right;}			
			}
			:row {
			:text {	key = "labeln6";alignment=left;}
			:text { key = "n6";alignment=right;}
			}
			:row {
			:text {	key = "labeln9";alignment=left;}
			:text { key = "n9";alignment=right;}
			}
			:row {
			:text {	key = "labeln7";alignment=left;}
			:text { key = "n7";alignment=right;}
			}
			:row {
			:text {	key = "labeln2";alignment=left;}
			:text { key = "n2";alignment=right;}
			}			
			:row {
			:text {	key = "labeln3";alignment=left;}
			:text { key = "n3";alignment=right;}
			}			
			:row {
			:text {	key = "labeln10";alignment=left;}
			:text { key = "n10";alignment=right;}
			}
			:row {
			:text {	key = "labeln5";alignment=left;}
			:text { key = "n5";alignment=right;}
			}
			:row {
			:text {	key = "labeln4";alignment=left;}
			:text { key = "n4";alignment=right;}
			}
			:row {
			:text {	key = "labeln8";alignment=left;}
			:text { key = "n8";alignment=right;}
			}
			}
			spacer;
	  :boxed_column {
			label = "Sizes";
			: list_box { 
			width = 13.5;
//			height = 20;
			key = "get_size";
			}
			}
			}
			spacer;
//-----------------------END OF BOX-------------------------------------------//	
	:row {
		: boxed_radio_column {
		label = "Select";
		
		: radio_button {
		key = "s1";
		label = "Fittings";
//		is_enabled = false;		
		}									//end definition
		: radio_button {
		key = "s2";
		label = "Flanges";
		}
		: radio_button {
		key = "s3";
		label = "Ball Valves";
		is_enabled = false;							//switch off
		}
		: radio_button {
		key = "s4";
		label = "Wafer Check Valves";
		is_enabled = false;		
		}
		: radio_button {
		key = "s5";
		label = "Gate Valves";
		is_enabled = false;	
		}
		: radio_button {
		key = "s6";
		label = "Globe Valves";
		is_enabled = false;	
		}
		: radio_button {
		key = "s7";
		label = "Pipe";
//		is_enabled = false;	
		}
		}
//-----------------------END OF BOX-------------------------------------------//
		: boxed_radio_column {
		label = "Imperial Pipe Fittings";
		:text {	label = "  ASME B16.9";}

		: radio_button {
		key = "rb1";
		label = "90 LR Elbows";
		is_enabled = false;
		}
		: radio_button {
		key = "rb2";
		label = "45 LR Elbows";
		is_enabled = false;
		}
		: radio_button {
		key = "rb3";
		label = "Equal Tee";
		is_enabled = false;
		}
		: radio_button {
		key = "rb4";
		label = "Reducing Tee";
		is_enabled = false;
		}
		: radio_button {
		key = "rb5";
		label = "Concentric Reducers";
		is_enabled = false;
		}
		: radio_button {
		key = "rb6";
		label = "Eccentric Reducer";
		is_enabled = false;
		}
		: radio_button {
		key = "rb7";
		label = "End Caps";
		is_enabled = false;
		}
		}
//-----------------------END OF BOX-------------------------------------------//
		:boxed_radio_column {
		label = "Flanges";
		:text {	label = "  ASME B16.5";}

		: radio_button {							//define button
		key = "rb11";									//give it a name
		label = "Welding Neck";						//give it a label
		is_enabled = false;							//switch off
		}											//end definition
		: radio_button {		
		key = "rb12";
		label = "Socket Weld";
		is_enabled = false;
		}
		: radio_button {
		key = "rb13";
		label = "Slip-on";
		is_enabled = false;
		}
		: radio_button {
		key = "rb14";
		label = "Screwed";
		is_enabled = false;
		}
		: radio_button {
		key = "rb15";
		label = "Blind";
		is_enabled = false;
		}
        spacer; 
        spacer; 
        spacer; 
		}
//-----------------------END OF BOX-------------------------------------------//

		: boxed_radio_column {
		label = "Face" ;
 
		: radio_button {					//define radion button
		key = "rb21" ;						//give it a name
		label = "RTJ" ;						//give it a label
		is_enabled = false;					//switch off
		}									//end definition
        spacer; 		
		: radio_button {
		key = "rb22" ;
		label = "RF" ;
		is_enabled = false;
		}
        spacer;
		: radio_button {
		key = "rb23" ;
		label = "Flat Face" ;
		is_enabled = false;
		}
        spacer;
        spacer;
//-----------------------//
		: boxed_column {
		label = "Metric/Imperial" ;
		:text {	label = "Scaling" ;}
		: toggle {				// was radio_button
		key = "tb24" ;
		label = "mm to inches";
		}
		}
		}
//-----------------------------------------------------------------------------------//
		:boxed_radio_column {				//define radio column L4
		label = "Class/PN" ;				//give it a label
 
		: radio_button {					//define radion button
		key = "rb31" ;						//give it a name
		label = "150/20" ;						//give it a label
		is_enabled = false;					//switch off
		}									//end definition
 		: radio_button {
		key = "rb32" ;
		label = "300/50" ;
		is_enabled = false;
		}
     		: radio_button {
     		key = "rb33" ;
		label = "400/68" ;
        	is_enabled = false;
	 	}
     		: radio_button {
     		key = "rb34" ;
     		label = "600/100" ;
       		is_enabled = false;
     		}
     		: radio_button {
     		key = "rb35" ;
     		label = "900/150" ;
        	is_enabled = false;
     		}
		: radio_button {
     		key = "rb36" ;
     		label = "1500/250" ;
        	is_enabled = false;
     		}
		: radio_button {
     		key = "rb37" ;
     		label = "2500/420" ;
        	is_enabled = false;
     		}
       		}
//-----------------------------------------------------------------------------------//

		:boxed_radio_column {				//define radio column L5
		label = "Schedule" ;				//give it a label
 
		: radio_button {					//define radion button
		key = "rb41" ;						//give it a name
		label = "5" ;						//give it a label
		is_enabled = false;					//switch off
		}									//end definition
		: radio_button {
		key = "rb42" ;
		label = "10" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb43" ;
		label = "20" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb44" ;
		label = "30" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb45" ;
		label = "40" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb46" ;
		label = "60" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb47" ;
		label = "80" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb48" ;
		label = "100" ;
		is_enabled = false;
		}
		: radio_button {
		key = "rb49" ;
		label = "120" ;
		is_enabled = false;
		}
		}
	        }
 //-----------------------------------------------------------------------------------//
	:row {
		fixed_width = true;
		alignment = centered;
		ok_cancel;
        spacer;
        spacer;
			: button {
  			label = "About";
  			fixed_width =  true;
  			key = "sln_piping_about";
  			}
			}
			}
//
// Start legrand_help dialog box
//

sln_piping_about : dialog {	
	label = "About SLN PIPING";

		: list_box {
		width =  71;
		height =  20;
		fixed_height =  true;
		key = "sln_piping_about";
		}
		ok_only;


}											//end dialog
//
//
//